Subject: bug#7291: 24.0.50; `non-essential' is incomprehensible

From: Andreas Schwab <[email-masked]>
Date: Fri, 29 Oct 2010 10:36:16 +0200

Stefan Monnier <[email-masked]> writes:

> Honestly, I can't think of any way someone who has the least bit of
> familiarity with Elisp can wonder "whether `non-essential'=nil or
> `non-essential'=t means performing a non-essential task (whatever that
> in turn might mean)".

The variable is badly named.  It should be using a positive form, like
allow-whatever.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."